﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.TrustedUsers" Title="Trusted Users" Codebehind="TrustedUsers.aspx.vb" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
	<div class="nav2">
		<a class="nav2left" onclick="callHelp('TrustedUserHelp.htm')" href="javascript:void(0)">
			<img alt="Help" src="images/help3.gif" border="0" /></a> <span class="nav2title">Trusted
				Users</span>
	</div>
	<table class="RSTable" width="100%" cellpadding="5" cellspacing="0" border="0">
		<tr>
			<td colspan="2">
				<table cellspacing="0" cellpadding="5" border="0">
					<tr>
						<td colspan="2" class="FormLabel" id="ctlSystemName" runat="server">
							System Name:
						</td>
					</tr>
					<tr>
						<td class="FormLabel">
							Incoming Id and Reporting System Id are the same:
						</td>
						<td>
							<asp:CheckBox ID="ctlUseReportingSystemId" runat="server" Checked="True" AutoPostBack="True" />
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<asp:DataGrid ID="grdTrustedUsers" runat="server" Width="95%" AutoGenerateColumns="False"
					DataKeyField="Id" ShowFooter="True">
					<AlternatingItemStyle CssClass="datagridAlternatingItem"></AlternatingItemStyle>
					<ItemStyle CssClass="datagridItem"></ItemStyle>
					<HeaderStyle CssClass="datagridHeader"></HeaderStyle>
					<EditItemStyle CssClass="datagridEditItem"></EditItemStyle>
					<FooterStyle CssClass="datagridFooter"></FooterStyle>
					<PagerStyle CssClass="datagridPager"></PagerStyle>
					<SelectedItemStyle CssClass="datagridSelectedItem"></SelectedItemStyle>
					<Columns>
						<asp:TemplateColumn HeaderText="Incoming<br>User Id">
							<ItemTemplate>
								<asp:Label Text='<%# DataBinder.Eval(Container.DataItem, "TrustedSystemUserID") %>'
									runat="server" ID="lblIncomingUserId" />
							</ItemTemplate>
							<FooterTemplate>
								<asp:TextBox ID="txtAddIncomingUser" runat="Server" Visible="<%#GetIncomingUserIsVisible()%>" />
								<asp:CustomValidator ID="valIncomingUserIsNotEmpty" runat="server" Display="dynamic"
									ErrorMessage="* Required." ControlToValidate="txtAddIncomingUser" OnServerValidate="IncomingUserIsNotEmpty"></asp:CustomValidator>
								<asp:CustomValidator ID="valTrustedUserIsUnique" runat="server" Display="dynamic"
									ErrorMessage="* Trusted User Already Exists." ControlToValidate="txtAddIncomingUser"
									OnServerValidate="TrustedUserIsUnique"></asp:CustomValidator>
							</FooterTemplate>
							<EditItemTemplate>
								<asp:TextBox ID="txtIncomingUser" Text='<%# DataBinder.Eval(Container.DataItem, "TrustedSystemUserID") %>'
									runat="Server" Enabled="<%#GetIncomingUserIsEnabled()%>" />
							</EditItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn HeaderText="Reporting System&lt;br&gt;User Id">
							<ItemTemplate>
								<asp:Label Text='<%# DataBinder.Eval(Container.DataItem, "RipplestoneUserLogin") %>'
									runat="server" ID="lblRSUserLogin" />
							</ItemTemplate>
							<FooterTemplate>
								<asp:DropDownList runat="server" ID="ddlAddUserIdList" DataValueField="ID" DataTextField="UserLogin"
									DataSource="<%# GetRSUsers() %>" />
							</FooterTemplate>
							<EditItemTemplate>
								<asp:DropDownList runat="server" ID="ddlUserIdList" DataValueField="ID" DataTextField="UserLogin"
									DataSource="<%# GetRSUsers() %>" SelectedIndex='<%# GetSelectedIndex(DataBinder.Eval(Container.DataItem, "RipplestoneUserID")) %>' />
							</EditItemTemplate>
						</asp:TemplateColumn>
						<asp:EditCommandColumn ButtonType="LinkButton" UpdateText="Update" CancelText="Cancel"
							EditText="Edit"></asp:EditCommandColumn>
						<asp:ButtonColumn Text="Delete" CommandName="Delete"></asp:ButtonColumn>
						<asp:TemplateColumn>
							<FooterTemplate>
								<asp:LinkButton Text="Add" CommandName="DoTrustedUserInsert" ID="btnAddUser" runat="server" />
							</FooterTemplate>
						</asp:TemplateColumn>
					</Columns>
				</asp:DataGrid>
			</td>
		</tr>
	</table>
	<div id="buttons">
        <dx:ASPxButton ID="ASPxBtnClose" runat="server" Text="Close" />
	</div>
</asp:Content>
