﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.TrustedSystems" Title="Trusted Systems" Codebehind="TrustedSystems.aspx.vb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
	<div class="nav2">
		<a class="nav2left" onclick="callHelp('TrustedSystemHelp.htm')" href="javascript:void(0)">
			<img alt="Help" src="images/help3.gif" border="0" /></a> <span class="nav2title">Setup
				Trusted Systems</span>
	</div>
	<div id="datagrid">
		<asp:DataGrid ID="ctlTrustedSystems" runat="server" AutoGenerateColumns="False" DataKeyField="SystemName"
			ShowFooter="True" Width="100%">
			<AlternatingItemStyle CssClass="datagridAlternatingItem"></AlternatingItemStyle>
			<ItemStyle CssClass="datagridItem"></ItemStyle>
			<HeaderStyle CssClass="datagridHeader"></HeaderStyle>
			<EditItemStyle CssClass="datagridEditItem"></EditItemStyle>
			<FooterStyle CssClass="datagridFooter"></FooterStyle>
			<PagerStyle CssClass="datagridPager"></PagerStyle>
			<SelectedItemStyle CssClass="datagridSelectedItem"></SelectedItemStyle>
			<PagerStyle CssClass="datagridPager"></PagerStyle>
			<Columns>
				<asp:TemplateColumn HeaderText="System Name">
					<FooterTemplate>
						<asp:TextBox ID="ctlAddSystem" Columns="20" runat="Server" />
						<asp:CustomValidator ID="ctlSystemNameIsNotEmpty" runat="server" Display="dynamic"
							ErrorMessage="* Required." ControlToValidate="ctlAddSystem" OnServerValidate="SystemNameIsNotEmpty"></asp:CustomValidator>
						<asp:CustomValidator ID="ctlSystemNameUnique" runat="server" Display="dynamic" ErrorMessage="* System Already Exists."
							ControlToValidate="ctlAddSystem" OnServerValidate="SystemNameIsUnique"></asp:CustomValidator>
					</FooterTemplate>
					<ItemTemplate>
						<asp:Label Text='<%# DataBinder.Eval(Container.DataItem, "SystemName") %>' runat="server"
							ID="ctlSystemName" />
					</ItemTemplate>
				</asp:TemplateColumn>
				<asp:TemplateColumn HeaderText="Return URL">
					<FooterTemplate>
						<asp:TextBox ID="ctlAddReturnURL" Columns="30" runat="Server" />
					</FooterTemplate>
					<ItemTemplate>
						<asp:Label Text='<%# DataBinder.Eval(Container.DataItem, "ReturnURL") %>' runat="server"
							ID="ctlReturnURL" />
					</ItemTemplate>
					<EditItemTemplate>
						<asp:TextBox ID="ctlReturnURLEdit" Text='<%# DataBinder.Eval(Container.DataItem, "ReturnURL") %>'
							runat="server" Columns="30" />
					</EditItemTemplate>
				</asp:TemplateColumn>
				<asp:TemplateColumn HeaderText="User Map">
					<FooterTemplate>
					</FooterTemplate>
					<ItemTemplate>
						<a href='<%# DataBinder.Eval(Container.DataItem, "TrustedUsersHref") %>' runat="server"
							id="A1">Edit Users</a>
					</ItemTemplate>
				</asp:TemplateColumn>
				<asp:EditCommandColumn EditText="Edit" CancelText="Cancel" UpdateText="Update" />
				<asp:ButtonColumn Text="Delete" CommandName="Delete"></asp:ButtonColumn>
				<asp:TemplateColumn>
					<FooterTemplate>
						<asp:LinkButton Text="Add" CommandName="DoSystemInsert" ID="ctlAddSystemName" runat="server" />
					</FooterTemplate>
				</asp:TemplateColumn>
			</Columns>
		</asp:DataGrid>
	</div>
</asp:Content>
